package edu.columbia.sip.buddy;

import java.util.Vector;

import java.awt.List;

public class BuddyList extends List {
    Vector _buddies;
    
    public BuddyList() {
        _buddies = new Vector();
    }
    
    public void add(Buddy b) {
        System.out.println("BuddyList.add() called for buddy " + b.toString());
        add(b.toString());
        _buddies.addElement(b);
    }

    public void remove(int i) {
        // if (i < 0) { System.out.println("Buddylist.remove() got negative param."); return; }
        System.out.println("BuddyList.remove() called for buddy #" + i);
        super.remove(i);
        Buddy b = (Buddy) _buddies.elementAt(i);
        //b.dontListen();
        _buddies.removeElementAt(i);
    }
    
    public Buddy getBuddyAt(int i) {
        return ((Buddy) _buddies.elementAt(i));
    }
    
    public int indexOf(Buddy b) {
        return _buddies.indexOf(b);
    }
    
    public void replaceItem(Buddy b, int i) {
        super.remove(i);
        super.add(b.toString(), i);
        _buddies.setElementAt(b, i);
    }
}   